## org.flexdock.docking.state
Class DockingPath

    java.lang.Object
      org.flexdock.docking.state.DockingPath

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DockingConstants

    public class DockingPath

extends java.lang.Object
implements java.lang.Cloneable, DockingConstants, java.io.Serializable

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `RESTORE_PATH_KEY`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DockingPath()`

Method Summary
`java.lang.Object` `clone()`
`static DockingPath` `create(Dockable dockable)`
`static DockingPath` `create(java.lang.String dockableId)`
`static SplitNode` `createNode(Dockable dockable)`
`static SplitNode` `createNode(DockingPort port)`
`int` `getDepth()`
`SplitNode` `getLastNode()`
`SplitNode` `getNode(int indx)`
`java.util.List` `getNodes()`
`static DockingPath` `getRestorePath(Dockable dockable)`
`DockingPort` `getRootPort()`
`java.lang.String` `getRootPortId()`
`java.lang.String` `getSiblingId()`
`boolean` `isTabbed()`
`boolean` `restore(Dockable dockable)`
`boolean` `restore(java.lang.String dockable)`
`void` `setRootPortId(java.lang.String portId)`
`void` `setSiblingId(java.lang.String siblingId)`
`void` `setTabbed(boolean isTabbed)`
`java.lang.String` `toString()`
`static DockingPath` `updateRestorePath_(Dockable dockable, DockingPath restorePath)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESTORE_PATH_KEY

    public static final java.lang.String RESTORE_PATH_KEY

See Also:
  Constant Field Values

Constructor Detail

### DockingPath

    public DockingPath()

Method Detail

### create

    public static DockingPath create(java.lang.String dockableId)

### create

    public static DockingPath create(Dockable dockable)

### createNode

    public static SplitNode createNode(Dockable dockable)

### createNode

    public static SplitNode createNode(DockingPort port)

### getRestorePath

    public static DockingPath getRestorePath(Dockable dockable)

### updateRestorePath_

    public static DockingPath updateRestorePath_(Dockable dockable,
                                                 DockingPath restorePath)

### isTabbed

    public boolean isTabbed()

### setTabbed

    public void setTabbed(boolean isTabbed)

### getSiblingId

    public java.lang.String getSiblingId()

### setSiblingId

    public void setSiblingId(java.lang.String siblingId)

### getNodes

    public java.util.List getNodes()

### getRootPort

    public DockingPort getRootPort()

### getRootPortId

    public java.lang.String getRootPortId()

### setRootPortId

    public void setRootPortId(java.lang.String portId)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### restore

    public boolean restore(java.lang.String dockable)

### restore

    public boolean restore(Dockable dockable)

### getLastNode

    public SplitNode getLastNode()

### getDepth

    public int getDepth()

### getNode

    public SplitNode getNode(int indx)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`